---
- hosts: all

  tasks:
    - name: Enable write permissions on config file
      file:
        dest: "{{ vpxa_config_path }}"
        mode: "u+w"

    - name: Change vCenter IP address
      lineinfile:
        # Using host variable configured via inventory file
        dest: "{{ vpxa_config_path }}"
        regexp: '(.*)(<serverIp>)(.*)(<\/serverIp>)'
        line: '\g<1>\g<2>{{ vcenter_ip }}\g<4>'
        backrefs: yes
      notify:
        - restart management agents

    - name: Remove write permissions from config file
      file:
        dest: "{{ vpxa_config_path }}"
        mode: "u-w"

  handlers:
    - name: restart management agents
      command: "{{ item.command }}"
      with_items:
        - { command: '/etc/init.d/hostd restart' }
        - { command: '/etc/init.d/vpxa restart' }